Skip to content

Get available reschedule options for a subscription

GET
/api/subscriptions/{id}/reschedule-options

Returns the dates (and delivery slots, when delivery is enabled) that can be used to reschedule a subscription. When the account has delivery enabled, the response includes per-date delivery slots. When delivery is disabled, the response returns billing-only dates — note that billing-only mode is currently not consumed by any client.

id
string

Available reschedule options

object
mode
required

“delivery” when the account has delivery enabled (use date + slot_id when calling reschedule); “billing” when delivery is disabled (use billing_date alone).

string
Allowed values: delivery billing
dates
required
Array<object>
object
date
required

Delivery date (YYYY-MM-DD)

string
day_name
string
formatted_date
string
billing_date
string
production_date
string
slots
Array<object>
object
id
required
string
label
required
string
is_all_day
required
boolean